Path to zlib

Asked by Joel Jones on 2020-02-18

Hi all,

I was installing MadGraph+Pythia8 on a new machine, and found out that I cannot install Pythia due to the zlib webpage being down. However, I do have zlib installed locally on the PC. I was wondering if it is possible for MadGraph to use this version (1.2.11) instead of the one it tries to download (1.2.10).

I have tried adding the path to libz.so to LD_LIBRARY_PATH, but that does not seem to help.

Thanks, cheers.

Joel

Question information

Language:
English Edit question
Status:
Solved
For:
MadGraph5_aMC@NLO Edit question
Assignee:
No assignee Edit question
Solved by:
Olivier Mattelaer
Solved:
2020-02-19
Last query:
2020-02-19
Last reply:
2020-02-19

What is your OS?

Cheers,

Olivier

> On 18 Feb 2020, at 20:47, Joel Jones <email address hidden> wrote:
>
> New question #688854 on MadGraph5_aMC@NLO:
> https://answers.launchpad.net/mg5amcnlo/+question/688854
>
> Hi all,
>
> I was installing MadGraph+Pythia8 on a new machine, and found out that I cannot install Pythia due to the zlib webpage being down. However, I do have zlib installed locally on the PC. I was wondering if it is possible for MadGraph to use this version (1.2.11) instead of the one it tries to download (1.2.10).
>
> I have tried adding the path to libz.so to LD_LIBRARY_PATH, but that does not seem to help.
>
> Thanks, cheers.
>
> Joel
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

By the way the webpage for zlib since up now

Cheers,

Olivier

> On 19 Feb 2020, at 00:43, Olivier Mattelaer <email address hidden> wrote:
>
> Question #688854 on MadGraph5_aMC@NLO changed:
> https://answers.launchpad.net/mg5amcnlo/+question/688854
>
> Status: Open => Answered
>
> Olivier Mattelaer proposed the following answer:
> What is your OS?
>
> Cheers,
>
> Olivier
>
>> On 18 Feb 2020, at 20:47, Joel Jones <email address hidden> wrote:
>>
>> New question #688854 on MadGraph5_aMC@NLO:
>> https://answers.launchpad.net/mg5amcnlo/+question/688854
>>
>> Hi all,
>>
>> I was installing MadGraph+Pythia8 on a new machine, and found out that I cannot install Pythia due to the zlib webpage being down. However, I do have zlib installed locally on the PC. I was wondering if it is possible for MadGraph to use this version (1.2.11) instead of the one it tries to download (1.2.10).
>>
>> I have tried adding the path to libz.so to LD_LIBRARY_PATH, but that does not seem to help.
>>
>> Thanks, cheers.
>>
>> Joel
>>
>> --
>> You received this question notification because you are an answer
>> contact for MadGraph5_aMC@NLO.
>
> --
> You received this question notification because you are an answer
> contact for MadGraph5_aMC@NLO.

Joel Jones (n-jones-j) said : #3

It's Fedora 31.

So the zlib page has been on and off in the last couple of days, so if I can find zlib in the repos I'd appreciate it if I could have that option open.

Sorry but I do not know how to link those to another version of zlib than the one foreseen for this.
If you experience issue with that page, what I can do is add other mirror in the mix such that when that page is down it is using other mirror.

Cheers,

Olivier

Ok I have added the option to have fallback source when the zlib webpage is down.

Cheers,

Olivier

Joel Jones (n-jones-j) said : #6

Awesome.

Joel Jones (n-jones-j) said : #7

Thanks Olivier Mattelaer, that solved my question.